View Issue Details

IDProjectCategoryView StatusLast Update
0001264NoesisGUIUnity3Dpublic2019-02-12 03:49
ReporterhoreaperAssigned Tojsantos 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0f1 
Target Version2.2.0Fixed in Version2.2.0b6 
Summary0001264: IME doesn't work in Unity Windows build
DescriptionTyping chinese/japanese characters using IME inside TextBox doesn't work with Windows build, both in editor and build result.
It feels like keystrokes get send directly to TextBox, IME doesn't get a chance to process them.

However the Login sample from native SDK works fine (as the attachment screenshot shows), suggests that Noesis' TextBox actually supports IME, it may just something get messed up while integrated into Unity.
Steps To ReproduceOpen the Unity "Login" sample on Windows, hit play, or build.
Use a chinese or japanese IME, and type into the TextBox.
Unlike the native SDK's sample, the IME will not work.
TagsNo tags attached.
PlatformAny

Relationships

related to 0001243 resolvedjsantos Korean IME input in Unity 2017 

Activities

horeaper

horeaper

2018-03-27 12:43

reporter  

IME_with_NativeSDK.jpg (86,353 bytes)
IME_with_NativeSDK.jpg (86,353 bytes)
admin

admin

2018-10-30 13:03

administrator   ~0005278

----------------------------------------------------------------------
 (0005278) sfernandez (manager) - 2018-10-04 12:29
 https://www.noesisengine.com/bugs/view.php?id=1264#c5278
----------------------------------------------------------------------
IME is implemented in our App framework, is not part of the core Noesis library.
We will try to implement it also for the Unity integration for the next version.
admin

admin

2018-10-30 13:03

administrator   ~0005279

Our hosting company corrupted our database without a backup. We are manually reconstructing all the issues.

Issue History

Date Modified Username Field Change
2018-03-27 12:43 horeaper New Issue
2018-03-27 12:43 horeaper File Added: IME_with_NativeSDK.jpg
2018-10-30 13:03 admin Note Added: 0005278
2018-10-30 13:03 admin Assigned To => jsantos
2018-10-30 13:03 admin Status new => assigned
2018-10-30 13:03 admin Note Added: 0005279
2018-10-30 13:05 admin Relationship added related to 0001243
2018-11-01 02:14 jsantos View Status public => private
2019-01-29 02:31 jsantos Target Version => 2.2.0
2019-01-29 02:31 jsantos View Status private => public
2019-01-29 02:31 jsantos Platform => Any
2019-02-12 03:49 jsantos Status assigned => resolved
2019-02-12 03:49 jsantos Resolution open => fixed
2019-02-12 03:49 jsantos Fixed in Version => 2.2.0b6